%define upstream_name    App-Timestamper
%define upstream_version 0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Prefix lines with the timestamps of their arrivals
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
App::Timestamper is a pure-Perl command line program that filters the input
so the timestamps (in seconds+fractions since the UNIX epoch) are prefixed
to the lines based on the time of the arrival.

So if the input was something like:

    First Line
    Second Line
    Third Line

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/timestamper
%{_mandir}/man1/timestamper.1*

%changelog
* Wed Jul 08 2020 tv <tv> 0.2.1-1.mga8
+ Revision: 1602942
- update to 0.2.1

* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-3.mga8
+ Revision: 1503461
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.0-2.mga7
+ Revision: 1281666
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 0.2.0-1.mga7
+ Revision: 1216671
- Update to version 0.2.0

* Sat Jun 18 2016 pterjan <pterjan> 0.0.7-3.mga6
+ Revision: 1022558
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.0.7-2.mga6
+ Revision: 970238
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 shlomif <shlomif> 0.0.7-1.mga6
+ Revision: 885369
- New version 0.0.7

* Mon Sep 28 2015 sander85 <sander85> 0.0.6-1.mga6
+ Revision: 884391
- update to 0.0.6

* Fri Sep 04 2015 shlomif <shlomif> 0.0.3-1.mga6
+ Revision: 872803
- imported package perl-App-Timestamper

